%global momorel 2

Name:           perl-DateTime-Calendar-Japanese-Era
Version:        0.08001
Release:	%{momorel}m%{?dist}
Summary:        DateTime Extension for Japanese Eras
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTime-Calendar-Japanese-Era/
Source0:        http://www.cpan.org/modules/by-module/DateTime/DateTime-Calendar-Japanese-Era-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.6.1
BuildRequires:  perl-Class-Accessor
BuildRequires:  perl-Class-Data-Inheritable
BuildRequires:  perl-DateTime
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Params-Validate
BuildRequires:	perl-File-ShareDir >= 1.00
BuildRequires:	perl-ExtUtils-MakeMaker
Requires:	perl-Class-Accessor
Requires:	perl-Class-Data-Inheritable
Requires:       perl-DateTime
Requires:       perl-Params-Validate
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Japan traditionally used an "era" system since 645. In modern days (since
the Meiji era) eras can only be renewed when a new emperor succeeds his
predecessor. Until then new eras were proclaimed for various reasons,
including the succession of the shogunate during the Tokugawa shogunate.

%prep
%setup -q -n DateTime-Calendar-Japanese-Era-%{version}

## DateTime::Infinite module is included in perl-DateTime package
mv Makefile.PL Makefile.PL.org
sed s/requires\(\'DateTime\:\:Infinite\'\)\;//g Makefile.PL.org > Makefile.PL
rm Makefile.PL.org

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES
%{perl_vendorlib}/*/*/*/*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.08001-2m)
- rebuild against rpm-4.6

* Tue Aug 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08001-1m)
- update to 0.08001
- add BuildRequires: and Requires: perl-Class-Accessor
- add BuildRequires: and Requires: perl-Class-Data-Inheritable
- add BuildRequires: perl-ExtUtils-MakeMaker

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.08000-2m)
- rebuild against gcc43

* Mon Nov  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.08000-1m)
- update to 0.08000

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.07-3m)
- use vendor

* Wed Nov 29 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.07-2m)
- delete dupclicate directory

* Tue Nov 28 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.07-1m)
- Specfile autogenerated by cpanspec 1.68 for Momonga Linux.
